list_partition.h File Reference

Go to the source code of this file.

## Namespaces

| __gnu_parallel

## Functions

template<typename _IIter >
void | __gnu_parallel::__shrink (std::vector< _IIter > &__os_starts, size_t &__count_to_two, size_t &__range_length)
template<typename _IIter >
void | __gnu_parallel::__shrink_and_double (std::vector< _IIter > &__os_starts, size_t &__count_to_two, size_t &__range_length, const bool __make_twice)
template<typename _IIter , typename _FunctorType >
size_t | __gnu_parallel::list_partition (const _IIter __begin, const _IIter __end, _IIter *__starts, size_t *__lengths, const int __num_parts, _FunctorType &__f, int __oversampling=0)

## Detailed Description

_Functionality to split __sequence referenced by only input iterators. This file is a GNU parallel extension to the Standard C++ Library.

Definition in file list_partition.h.